spoonity logo
    • API
    • Documentation
    • Support
    • Getting Started

      • Introduction
      • Authentication
      • Handling Errors
      • Webhooks
    • Workflows

      • Placing an order
      • Retrieving a list of checked-in users
      • Registering an account
      • Working with user profiles
      • Reloading an account
    • Resources

      • Billing Profile
      • Card
      • Content
      • Country & Region
      • EGift
      • OnScreen
      • Order
      • User
      • Balances & Rewards
      • Transaction History
      • Inbox
      • Spending Rules
    • Sign in

    Customer

    Customers represent the end-consumers who interact with the platform.

    The customer model

    The customer model contains identifying information about the customer.

    Properties

    • Name
      id
      Type
      string
      Description

      Unique identifier for the customer.

    • Name
      name
      Type
      string
      Description

      The full name of the customer.

    • Name
      email
      Type
      string
      Description

      The primary email address of the customer.

    • Name
      is_verified
      Type
      boolean
      Description

      Confirmation of the customer has gone through the verification process.

    • Name
      date_created
      Type
      string
      Description

      Timestamp of when the customer was first created.

    • Name
      date_updated
      Type
      string
      Description

      Timestamp of when the customer was last updated.

    • Name
      status
      Type
      string
      Description

      A string enum for indicating the current status of the customer.


    GET/customers

    Retrieve a list of customers

    This endpoint allows you to retrieve a paginated list of customers. By default, this will include the 25 most recent objects, starting with the most recent.

    Query parameters

    • Name
      limit
      Type
      integer
      Description

      The maximum number of entries to include in the response.

    • Name
      page
      Type
      integer
      Description

      An offset to determine which groups of results to return.

    • Name
      query
      Type
      string
      Description

      A search string which can be used to filter results by various criteria (see below).

    Filter parameters

    These attributes can be used to filter the result set returned by the API. They are included as a space-delimited string of key:value pairs.

    • Name
      n
      Type
      string
      Description

      Name of the customer

    • Name
      e
      Type
      string
      Description

      Email of the customer

    • Name
      s
      Type
      string
      Description

      Status of the customer

    Request

    GET
    /customers
    curl -G https://api.spoonity.com/customers \
      -H "Authorization: Bearer {token}"
    

    Response

    {
      "items": [
        {
          "id": "cust_175a9abec1882d12",
          "name": "John Smith",
          "email": "john.smith@example.com",
          "is_verified": true,
          "date_created": "2026-02-02T13:48:05.683Z",
          "date_updated": "2026-02-02T13:48:05.683Z",
          "status": "ACTIVE"
        }
      ],
      "next": "https://api.spoonity.com/customers?limit=25&page=2",
      "prev": null
    }
    

    GET/customers/:id

    Retrieve a particular customer

    This endpoint allows you to retrieve a specific customer by ID.

    Path parameters

    • Name
      id
      Type
      string
      Description

      The customer ID.

    Request

    GET
    /customers/:id
    curl -G https://api.spoonity.com/customers/:id \
    -H "Authorization: Bearer {token}"
    

    Response

    {
      "id": "cust_175a9abec1882d12",
      "name": "John Smith",
      "email": "john.smith@example.com",
      "is_verified": true,
      "date_created": "2026-02-02T13:48:05.683Z",
      "date_updated": "2026-02-02T13:48:05.683Z",
      "status": "ACTIVE"
    }
    

    POST/customers

    Create a customer

    This endpoint allows you to create a new customer.

    Optional attributes

    • Name
      name
      Type
      string
      Description

      Customer's full name.

    • Name
      email
      Type
      string
      Description

      Customers primary email address.

    Request

    POST
    /customers
    curl -G https://api.spoonity.com/customers \
    -H "Authorization: Bearer {token}" \
    -d name="John Smith" \
    -d email="john.smith@example.com"
    

    Response

    {
      "id": "cust_175a9abec1882d12",
      "name": "John Smith",
      "email": "john.smith@example.com",
      "is_verified": true,
      "date_created": "2026-02-02T13:48:05.683Z",
      "date_updated": "2026-02-02T13:48:05.683Z",
      "status": "ACTIVE"
    }
    

    PUT/customers/:id

    Update a customer

    This endpoint allows you to update a customer.

    Path parameters

    • Name
      id
      Type
      string
      Description

      The customer ID.

    Optional attributes

    • Name
      name
      Type
      object
      Description

      Customer's full name.

    • Name
      email
      Type
      string
      Description

      Customer's primary email address.

    • Name
      status
      Type
      string
      Description

      A status enum. Customers can exist in either an ACTIVE or ARCHIVED state.

    Request

    PUT
    /customers/:id
    curl -G https://api.spoonity.com/customers/:id \
    --request PUT \
    -H "Authorization: Bearer {token}" \
    -d status="INACTIVE"
    

    Response

    {
      "id": "cust_175a9abec1882d12",
      "name": "John Smith",
      "email": "john.smith@example.com",
      "is_verified": true,
      "date_created": "2026-02-02T13:48:05.683Z",
      "date_updated": "2026-02-02T13:48:05.683Z",
      "status": "INACTIVE"
    }
    

    DELETE/customers/:id

    Delete a customer

    This endpoint allows you to delete a customer. Deleted customers will be anonymized to stripe away any identifying information.

    Path parameters

    • Name
      id
      Type
      string
      Description

      The customer ID.

    Request

    DELETE
    /customers/:id
    curl -G https://api.spoonity.com/customers/:id \
    --request DELETE \
    -H "Authorization: Bearer {token}"
    

    Response

    {}
    

    Was this page helpful?

    PreviousCurrency
    NextDiscount

    © Copyright 2026 Spoonity, Inc. All rights reserved.